<!-- This is the ISO12083:1993 document type definition for Serials.       -->
<!-- Copyright: (C) International Organization for Standardization 1993.
Permission to copy in any form is granted for use with conforming SGML 
systems and applications as defined in ISO 8879:1986, provided this
notice is included in all copies.                                          -->

<!-- ===================================================================== -->
<!--    PUBLIC DOCUMENT TYPE DEFINITION SUBSET                             -->
<!-- ===================================================================== -->

<!-- Typical invocation:
<!DOCTYPE serial PUBLIC "ISO 12083:1993//DTD Serial//EN"
 [<!ENTITY % ISOnum PUBLIC "ISO 8879:1986//ENTITIES Numeric and
          Special Graphic//EN"                                  >
  <!ENTITY % ISOpub PUBLIC "ISO 8879:1986//ENTITIES
          Publishing//EN"                                       >
  <!ENTITY % ISOtech PUBLIC "ISO 8879:1986//ENTITIES 
          General Technical//EN"                                >
  <!ENTITY % ISOdia PUBLIC "ISO 8879:1986//ENTITIES 
          Diacritical Marks//EN"                                >
  <!ENTITY % ISOlat1 PUBLIC "ISO 8879:1986//ENTITIES 
          Added Latin 1//EN"                                    >
  <!ENTITY % ISOlat2 PUBLIC "ISO 8879:1986//ENTITIES 
          Added Latin 2//EN"                                    >
  <!ENTITY % ISOamso PUBLIC "ISO 8879:1986//ENTITIES 
          Added Math Symbols: Ordinary//EN"                     >
  <!ENTITY % ISOgrk1 PUBLIC "ISO 8879:1986//ENTITIES 
          Greek Letters//EN"                                    >
  <!ENTITY % ISOgrk3 PUBLIC "ISO 8879:1986//ENTITIES 
          Greek Symbols//EN"                                    >
  %ISOnum;  
  %ISOpub;
  %ISOtech;
  %ISOdia;
  %ISOlat1;
  %ISOlat2;
  %ISOamso;
  %ISOgrk1;
  %ISOgrk3;  
  <!ENTITY % ereview PUBLIC "-//USA-DOD//DTD 
          SUP MIL-M-28001 EREVIEW REV B//EN"                    >
  %ereview;                                                                -->

<!-- NOTES: 1. ISO TR9573 Parts 12-16 are currently under review and will 
               contain complete special character entity sets. 
            2. MIL-M-28001 EREVIEW are the CALS facilities for electronic
               review.                                                     -->

<!-- This is the document type declaration subset for a Serial. Articles will 
be embedded within this document type. It includes the necessary elements for 
use as a technical report, conference proceedings, and a thesis or 
dissertation.                                                              -->

<!-- Entity naming conventions are the same as for Books and Article       -->

<!ENTITY % serial "serial" -- default document type generic identifier     -->


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--    Specialized Elements                                               -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!ENTITY % bmsec.i "glossary|index" -- indexes and glossary                -->
<!ENTITY % spub    "reprint|cpyrt|date|pubname|location|confgrp|avail|
                   issueid|coden|acqno|acidfree|price|extent"
                   -- serial pubfront                                      -->
<!ENTITY % spub.ph "lccardno|reportid|edition|volid|catalog|package"
                   -- serial publication related front matter material     -->
<!ENTITY % i.sflt  "aseqntl|advert" -- serial floats                       -->


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--    Models                                                             -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!ENTITY % m.adv   "EMPTY" -- default advertisement content                -->
<!ENTITY % m.toc   "EMPTY" -- table of contents model                      -->

<!-- Article declaration subset is included here.                          -->
<!ENTITY % serart PUBLIC "ISO 12083:1993//DTD Article//EN"                   >
%serart;
<!-- end article declaration subset                                        -->

<!ENTITY % m.idx   "(%m.sec;|((indxname|indxsubj)*,pages*))" -- model for
                   indexes and glossary                                    -->


<!-- ===================================================================== -->
<!--    THE DOCUMENT STRUCTURE                                             -->
<!-- ===================================================================== -->

<!--       ELEMENT           MIN  CONTENT               (EXCEPTIONS)       -->
<!ELEMENT  (%serial;)        - -  (serfront, serbody, serback?) 
                                                        +(%i.sflt;|%i.float;)>


<!-- ===================================================================== -->
<!--    FRONT MATTER ELEMENTS                                              -->
<!-- ===================================================================== -->

<!ELEMENT  serfront          O O  (title, stitle?, alttitle?, serpubfr?,
                                                                        toc?)>


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--    Title Group                                                        -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!ELEMENT  (stitle|alttitle) O O  %m.ph;                                     >


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--            Serial Publisher's Front Matter                            -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!ELEMENT serpubfr           - O  ((%spub;)|(%spub.ph;))*                    >
<!ELEMENT (%spub.ph;)        - O  (#PCDATA)                                  >
<!ELEMENT issueid            - O  (issueno, issuept?, supplid?)              >
<!ELEMENT (issueno|issuept|supplid)    
                             - O  (#PCDATA)                                  >


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--    Table of Contents                                                  -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!ELEMENT toc                - O  %m.toc;                                    >


<!-- ===================================================================== -->
<!--    BODY ELEMENTS                                                      -->
<!-- ===================================================================== -->

<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--    Body Structure                                                     -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!ELEMENT serbody            O O  (serpart+|sersec+)                         >
<!ELEMENT serpart            - O  (title?, (%s.zz;|sersec|article)*)
                             -- Department or Special Features             -->
<!ELEMENT sersec             - O  (title?, (%s.zz;|article)*)
                             -- Book Reviews, Engineering Notes, etc.      -->


<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->
<!--           Floating elements                                           -->
<!-- +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<!ELEMENT advert             - O  %m.adv;                                    >
<!ELEMENT aseqntl            - -  %m.sec;
          -- Asequential elements are intended to be used as filler items  -->


<!-- ===================================================================== -->
<!--    BACK MATTER ELEMENTS                                               -->
<!-- ===================================================================== -->

<!ELEMENT serback            - O  ((%bmsec.d;)|(%bmsec.i;))*                 >
<!ELEMENT (%bmsec.i;)        - O  %m.idx;                                    >
<!ELEMENT (indxname|indxsubj)
                             - O  (#PCDATA)                                  >


<!-- ===================================================================== -->
<!--    ATTRIBUTE DEFINITION LISTS                                         -->
<!-- ===================================================================== -->
<!-- The SGML Document Access attributes for Braille, large print
and voice synthesis markup have been added.                                -->

<!--      ELEMENT   NAME       VALUE           DEFAULT                     -->

<!ATTLIST advert    %a.id;
                    %a.sizes;
                    name       ENTITY          #IMPLIED
                    %SDAFORM;                  "fig"                         >

<!ATTLIST catalog   %SDAFORM;                  "para"
                    %SDAPREF;                  "<?SDATRANS>Cataloguing 
                                               in publication information:"  >

<!ATTLIST %serial;  %a.id;            
                    %SDAFORM;                  "serial"                      >

<!ATTLIST edition   %SDAFORM;                  "para"
                    %SDAPREF;                  "<?SDATRANS>Edition:"         >

<!ATTLIST glossary  %a.id;
                    %SDAPREF;                  "<h1>Glossary</h1>"           >

<!ATTLIST index     %a.id;
                    %SDAPREF;                  "<h1>Index</h1>"              >

<!ATTLIST (indxname|indxsubj) 
                    %SDAFORM;                  "term"                        >

<!ATTLIST lccardno  %SDAFORM;                  "para"
                    %SDAPREF;                  "LC card number:"             >

<!ATTLIST package   %SDAFORM;                  "para"
                    %SDAPREF;                  "Packaging method:"           >

<!ATTLIST reportid  %SDAFORM;                  "para"
                    %SDAPREF;                  "Report identifier:"          >

<!ATTLIST (stitle|alttitle)      
                    alphabet   %a.types;
                    %SDAFORM;                  "ti"                          >

<!ATTLIST toc       %SDAFORM;                  "list"
                    %SDAPREF;                  "<?SDATRANS>Contents"         >

<!ATTLIST volid     %SDAFORM;                  "para"
                    %SDAPREF;                  "Volume identifier:"          >
